Page MenuHomePhabricator

URL shortener does not update if used multiple times
Closed, ResolvedPublic

Description

To reproduce:

Notes from duplicate ticket:
Problem: The Special:UrlShortener UI will not generate new short url's with out reloading, but looks like it will.

Steps to reproduce:

  1. Goto https://meta.wikimedia.org/wiki/Special:UrlShortener
  2. Enter a long URL, Click Shorten
  3. Enter a new long URL, Click Shorten

RESULT: Nothing happens after step 3
EXPECTED RESULT: A shortURL will be generated for the long URL in step 3

Suggested options:
(A) Generate the expected result above instead of doing nothing
(B) Deactivate the input box after step 2, so that user won't think they can still make use of it at this time

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 11:03 PM

Change 517481 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/UrlShortener@master] Fix selecting and updating the copy field

https://gerrit.wikimedia.org/r/517481

Change 517481 merged by jenkins-bot:
[mediawiki/extensions/UrlShortener@master] Fix selecting and updating the copy field

https://gerrit.wikimedia.org/r/517481

matmarex closed this task as Resolved.Jun 17 2019, 8:20 PM
matmarex assigned this task to Ladsgroup.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 17 2019, 8:20 PM
Xaosflux updated the task description. (Show Details)Jun 20 2019, 9:56 PM

@Xaosflux it's already been fixed, we're just waiting on deployment to resume.